diff -purd a/lib/Gtk3.pm b/lib/Gtk3.pm
--- a/lib/Gtk3.pm	2018-05-22 05:18:14.000000000 +0200
+++ b/lib/Gtk3.pm	2019-04-25 17:37:24.647266796 +0200
@@ -84,6 +84,10 @@ my $_GDK_PIXBUF_BASENAME = 'GdkPixbuf';
 my $_GDK_PIXBUF_VERSION = '2.0';
 my $_GDK_PIXBUF_PACKAGE = 'Gtk3::Gdk';
 
+my $_GDK_PIXDATA_BASENAME = 'GdkPixdata';
+my $_GDK_PIXDATA_VERSION = '2.0';
+my $_GDK_PIXDATA_PACKAGE = 'Gtk3::Gdk';
+
 my $_PANGO_BASENAME = 'Pango';
 my $_PANGO_VERSION = '1.0';
 my $_PANGO_PACKAGE = 'Pango';
@@ -471,6 +475,15 @@ sub import {
     package => $_GDK_PIXBUF_PACKAGE,
     flatten_array_ref_return_for => \@_GDK_PIXBUF_FLATTEN_ARRAY_REF_RETURN_FOR);
 
+  # In gdk-pixbuf 2.38.0, the GdkPixdata introspection information was split
+  # out into its own file.
+  if (Gtk3::Gdk::Pixbuf::CHECK_VERSION (2, 38, 0)) {
+    Glib::Object::Introspection->setup (
+      basename => $_GDK_PIXDATA_BASENAME,
+      version => $_GDK_PIXDATA_VERSION,
+      package => $_GDK_PIXDATA_PACKAGE);
+  }
+
   Glib::Object::Introspection->setup (
     basename => $_PANGO_BASENAME,
     version => $_PANGO_VERSION,
